<div class="select-container" *ngIf="topic==''">
    <h3>Please select a topic</h3>
    <dx-list id="list"
        [dataSource]="topics"
        selectionMode="single"
        (onItemClick)="selectTopic($event)">      
    </dx-list>
</div>
<div class="topic-container" *ngIf="topic=='Buy/Sell' ">
    <div class="header-container">
        <h3>BUY/SELL</h3>
    </div>
    <div class="button-container">
        <dx-button
            text="Select another topic"
            (onClick)="selectionButtonClicked()">
        </dx-button>
        <dx-button
            text="Create a post" (onClick)="openPopup()">
        </dx-button>    
    </div>
    <div class="content-container">
        <div class="posts-container" *ngFor="let item of posts">
            <div class="posts-container" *ngIf="item.topic=='Buy/Sell' ">
                <h3>{{item.title}}</h3>
                <p>{{item.content}}</p>
            </div>
        </div>
    </div>
</div>
<div class="topic-container" *ngIf="topic=='MOCS' ">
    <div class="header-container">
        <h3>MOCS</h3>
    </div>
    <div class="button-container">
        <dx-button
            text="Select another topic"
            (onClick)="selectionButtonClicked()">
        </dx-button>
        <dx-button
            text="Create a post" (onClick)="openPopup()">
        </dx-button>    
    </div>
    <div class="content-container">
        <div class="posts-container" *ngFor="let item of posts">
            <div class="posts-container" *ngIf="item.topic=='MOCS' ">
                <h3>{{item.title}}</h3>
                <p>{{item.content}}</p>
            </div>
        </div>
    </div>
</div>
<div class="topic-container" *ngIf="topic=='Sets' ">
    <div class="header-container">
        <h3>Sets</h3>
    </div>
    <div class="button-container">
        <dx-button
            text="Select another topic"
            (onClick)="selectionButtonClicked()">
        </dx-button>
        <dx-button
            text="Create a post" (onClick)="openPopup()">
        </dx-button>    
    </div>
    <div class="content-container">
        <div class="posts-container" *ngFor="let item of posts">
            <div class="posts-container" *ngIf="item.topic=='Sets' ">
                <h3>{{item.title}}</h3>
                <p>{{item.content}}</p>
            </div>
        </div>
    </div>
</div>
<dx-popup id="popup"
    [(visible)]="isPopupVisible"
    [hideOnOutsideClick]="true"
    title="Create a post">   
        <dx-form id="form"
            [(formData)]="post"
            labelLocation="top"
            [colCount]="2">
            <dxi-item dataField="title"></dxi-item>
            <dxi-item dataField="topic" [editorOptions]="{disabled:true, value:topic}">
            </dxi-item>
            <dxi-item dataField="firstName"></dxi-item>
            <dxi-item dataField="lastName"></dxi-item>
            <dxi-item dataField="email">
                <dxi-validation-rule type="email">
                </dxi-validation-rule>
            </dxi-item>
            <dxi-item dataField="date"></dxi-item>
            <dxi-item dataField="content" colSpan="2"></dxi-item>
            <dxi-item 
                itemType="button"
                [buttonOptions]="submitButtonOptions">
            </dxi-item>
        </dx-form>
</dx-popup>
